# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate directories

Name:           rust-%{crate}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Library that provides platform-specific standard locations of directories

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/directories
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No Windows
Patch0:         directories-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(bencher) >= 0.1.5 with crate(bencher) < 0.2.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
A tiny mid-level library that provides platform-specific standard locations of
directories for config, cache and other data on Linux, Windows and macOS by
leveraging the mechanisms defined by the XDG base/user directory specifications
on Linux, the Known Folder API on Windows, and the Standard Directory
guidelines on macOS.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Initial package
